Package org.osgi.framework

# Interface BundleReference

All Known Subinterfaces:
  `BundleContext`, `BundleRevision`, `BundleRevisions`, `BundleStartLevel`, `BundleWiring`, `FelixBundleContext`, `FrameworkStartLevel`, `FrameworkWiring`

All Known Implementing Classes:
  `BundleRevisionImpl`, `BundleWiringImpl`, `BundleWiringImpl.BundleClassLoader`, `BundleWiringImpl.BundleClassLoaderJava5`, `Felix`

@ProviderType public interface BundleReference
A reference to a Bundle.

Since:
  1.5
Author:
  $Id: ad4e0b99177540205a1a8f37f9075989434cc59f $

## Method Summary

Modifier and Type
Method
Description
`Bundle`
`getBundle()`
Returns the `Bundle` object associated with this `BundleReference`.

## Method Details

### getBundle

Bundle getBundle()
Returns the `Bundle` object associated with this `BundleReference`.

Returns:
  The `Bundle` object associated with this `BundleReference`.